<?php
/**
 * Food Restro Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Food Restro Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function food_restro_pro_custom_colors_css() {
  	$options= food_restro_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#respond input[type="submit"],
	#masthead,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.reply a:hover,
	.reply a:focus,
	.btn,
	.btn:hover .more-icon,
	.btn:focus .more-icon,
	.featured-content-wrapper .btn:hover,
	.featured-content-wrapper .btn:focus,
	#featured-slider .slick-prev:hover,
	#featured-slider .slick-next:hover,
	#special-menu,
	#call-to-action .btn:hover,
	#call-to-action .btn:focus,
	#subscribe-submit,
	#colophon,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce a.added_to_cart,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled],
	.woocommerce ul.products li.product .onsale,
	.woocommerce span.onsale,
	.woocommerce-MyAccount-navigation ul li.is-active a,
	.woocommerce-MyAccount-navigation ul li:hover a,
	.woocommerce-MyAccount-navigation ul li:focus a {
	    background-color: ' . esc_attr($color_value) . ';
	}
	a,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	input[type="submit"],
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.reply a,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.section-subtitle,
	.featured-content-wrapper .btn,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#call-to-action .btn,
	.blog-posts-wrapper .entry-title a:hover,
	.blog-posts-wrapper .entry-title a:focus,
	#subscribe-us h3,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	ul.post-categories li a,
	.icon-container a:hover i,
	.woocommerce ul.products li.product a:hover .woocommerce-loop-category__title, 
	.woocommerce ul.products li.product a:hover .woocommerce-loop-product__title, 
	.woocommerce ul.products li.product a:hover h3,
	.woocommerce ul.products li.product a:hover .price,
	.woocommerce ul.products li.product a:hover .price .woocommerce-Price-amount.amount,
	.woocommerce ul.products li.product a:hover .star-rating span,
	.woocommerce .woocommerce-product-rating .star-rating span,
	.woocommerce div.product .woocommerce-Price-amount.amount,
	.woocommerce .quantity .qty,
	.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
	.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents .woocommerce-Price-amount.amount,
	.shop_table.shop_table_responsive .woocommerce-Price-amount.amount,
	.woocommerce-info::before,
	.shop_table.woocommerce-checkout-review-order-table .woocommerce-Price-amount.amount,
	#colophon .site-info a {
		color: ' . esc_attr($color_value) . ';
	}
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.featured-content-wrapper .btn:hover .more-icon svg, 
	.featured-content-wrapper .btn:focus .more-icon svg,
	#call-to-action .btn:hover .more-icon svg, 
	#call-to-action .btn:focus .more-icon svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a.search-active:hover svg,
	.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg {
	    fill: ' . esc_attr($color_value) . ';
	}
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	.reply a,
	#featured-slider .slick-prev:hover,
	#featured-slider .slick-next:hover,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce a.added_to_cart,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled],
	.woocommerce .quantity .qty {
		border-color: ' . esc_attr($color_value) . ';
	}
	#secondary .widget > ul li:first-child, 
	#secondary .widget > ul li:hover, 
	#secondary .widget_nav_menu ul li:first-child, 
	#secondary .widget_nav_menu ul li:hover {
		border-left-color: ' . esc_attr($color_value) . ';
	}
	.woocommerce-info {
	    border-top-color: ' . esc_attr($color_value) . ';
	}

	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a,
		.main-navigation ul#primary-menu ul li:hover > a,
		.main-navigation ul#primary-menu ul li:focus > a {
		    color: ' . esc_attr($color_value) . ';
		}
		.main-navigation ul ul {
			background-color: ' . esc_attr($color_value) . ';
		}
		.main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.main-navigation ul ul li.menu-item-has-children > a:hover > svg {
			fill: ' . esc_attr($color_value) . ';
		}
		#search:before {
		    border-bottom-color: ' . esc_attr($color_value) . ';
		}
	}
	@media screen and (min-width: 1200px) {
		#special-menu article:hover .entry-title a {
			color: ' . esc_attr($color_value) . ';
		}
	}

	.loader-container svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.single-post-wrapper span.posted-on svg,
	.single-post-wrapper span.cat-links svg {
		fill:#110e0e;
	}
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	#top-bar,
	.main-navigation .count,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	.reply a:hover:before,
	.reply a:focus:before,
	.more-icon,
	.btn:hover,
	.btn:focus,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce a.added_to_cart:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.added_to_cart:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:focus, 
	.woocommerce #respond input#submit:disabled:focus, 
	.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.woocommerce a.button.disabled:focus, 
	.woocommerce a.button:disabled:focus, 
	.woocommerce a.button:disabled[disabled]:focus, 
	.woocommerce button.button.disabled:focus, 
	.woocommerce button.button:disabled:focus, 
	.woocommerce button.button:disabled[disabled]:focus, 
	.woocommerce input.button.disabled:focus, 
	.woocommerce input.button:disabled:focus, 
	.woocommerce input.button:disabled[disabled]:focus,
	#gallery .overlay,
	.site-info,
	#special-menu article:hover .read-more {
		background-color: #110e0e;
	}
	.main-navigation ul.nav-menu > li:not(:last-child):after {
		background-color: #fff;
	}
	.post-navigation a, 
	.posts-navigation a,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_courses .course-wrapper h5 a:hover,
	.widget_featured_courses .course-wrapper h5 a:focus,
	.widget_featured_courses .tp-course-price,
	.widget_popular_courses .course-wrapper h5 a:hover,
	.widget_popular_courses .course-wrapper h5 a:focus,
	.widget_popular_courses .tp-course-price,
	.page-header small,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.icon-container i,
	#special-offer .price ins,
	#special-menu article:hover .woocommerce-Price-amount.amount,
	#special-offer .woocommerce-Price-amount.amount {
		color: #110e0e;
	}
	#special-menu .woocommerce-Price-amount.amount,
	#special-menu .section-subtitle,
	#special-menu .entry-content, 
	#special-menu .entry-content p {
		color: #fff;
	}
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce a.added_to_cart:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.added_to_cart:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:focus, 
	.woocommerce #respond input#submit:disabled:focus, 
	.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.woocommerce a.button.disabled:focus, 
	.woocommerce a.button:disabled:focus, 
	.woocommerce a.button:disabled[disabled]:focus, 
	.woocommerce button.button.disabled:focus, 
	.woocommerce button.button:disabled:focus, 
	.woocommerce button.button:disabled[disabled]:focus, 
	.woocommerce input.button.disabled:focus, 
	.woocommerce input.button:disabled:focus, 
	.woocommerce input.button:disabled[disabled]:focus {
		border-color: #110e0e;
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Food Restro Pro custom colors CSS.
	 *
	 * @since Food Restro Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'food_restro_pro_custom_colors_css', $css );
}
