<?php
/**
 * Subscribe Section options
 *
 * @package Theme Palace
 * @subpackage Food Restro Pro
 * @since Food Restro Pro 1.0.0
 */

// Add Subscribe section
$wp_customize->add_section( 'food_restro_pro_subscribe_section', array(
	'title'             => esc_html__( 'Subscribe','food-restro-pro' ),
	'description'       => esc_html__( 'Subscribe Section options.', 'food-restro-pro' ),
	'panel'             => 'food_restro_pro_front_page_panel',
) );

// Subscribe content enable control and setting
$wp_customize->add_setting( 'food_restro_pro_theme_options[subscribe_section_enable]', array(
	'default'			=> 	$options['subscribe_section_enable'],
	'sanitize_callback' => 'food_restro_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Food_Restro_Pro_Switch_Control( $wp_customize, 'food_restro_pro_theme_options[subscribe_section_enable]', array(
	'label'             => esc_html__( 'Subscribe Section Enable', 'food-restro-pro' ),
	'description'       => esc_html__( 'Install Jetpack and Enable Subscription Module to activate Subsription form.', 'food-restro-pro' ),
	'section'           => 'food_restro_pro_subscribe_section',
	'on_off_label' 		=> food_restro_pro_switch_options(),
) ) );

// Subscribe content enable control and setting
$wp_customize->add_setting( 'food_restro_pro_theme_options[subscribe_footer_attach]', array(
	'default'			=> 	$options['subscribe_footer_attach'],
	'sanitize_callback' => 'food_restro_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Food_Restro_Pro_Switch_Control( $wp_customize, 'food_restro_pro_theme_options[subscribe_footer_attach]', array(
	'label'             => esc_html__( 'Attach With Footer', 'food-restro-pro' ),
	'section'           => 'food_restro_pro_subscribe_section',
	'on_off_label' 		=> food_restro_pro_switch_options(),
	'active_callback' 	=> 'food_restro_pro_is_subscribe_section_enable',
) ) );

// subscribe subtitle setting and control
$wp_customize->add_setting( 'food_restro_pro_theme_options[subscribe_subtitle]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscribe_subtitle'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'food_restro_pro_theme_options[subscribe_subtitle]', array(
	'label'           	=> esc_html__( 'Sub Title', 'food-restro-pro' ),
	'section'        	=> 'food_restro_pro_subscribe_section',
	'active_callback' 	=> 'food_restro_pro_is_subscribe_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'food_restro_pro_theme_options[subscribe_subtitle]', array(
		'selector'            => '#subscribe-us .entry-header h3',
		'settings'            => 'food_restro_pro_theme_options[subscribe_subtitle]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'food_restro_pro_subscribe_subtitle_partial',
    ) );
}

// subscribe title setting and control
$wp_customize->add_setting( 'food_restro_pro_theme_options[subscribe_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscribe_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'food_restro_pro_theme_options[subscribe_title]', array(
	'label'           	=> esc_html__( 'Title', 'food-restro-pro' ),
	'section'        	=> 'food_restro_pro_subscribe_section',
	'active_callback' 	=> 'food_restro_pro_is_subscribe_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'food_restro_pro_theme_options[subscribe_title]', array(
		'selector'            => '#subscribe-us .entry-header h2.entry-title',
		'settings'            => 'food_restro_pro_theme_options[subscribe_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'food_restro_pro_subscribe_title_partial',
    ) );
}

